#!/bin/bash

#Autor: Carles Pina i Estany <carles@pinux.info>
#Data: Febrero 2004
#Llicncia: GPL v. 2.0 o posterior
#Ms informaci: http://pinux.info/utils/index.html#backupcd

VELOCITAT=16
DEV="0,3,0"
TMP="/tmp"

if [ "$1" = "help" ]
then
	echo "s: $0 [directori relatiu imatge]"
	echo "(per si tenim el llistat de fitxers a un directori diferent"
	echo "de l'actual)"
	exit 2
fi

if [ -n "$1" ]
then
	ORIGINAL="$1"
else
	ORIGINAL="."
fi

for i in *.cd
do
	PRIMER=$(pwd)
	cd "$ORIGINAL"
	if mkisofs -o "$TMP/$i.iso" -D -r -graft-points -V "$i.iso $(date '+%D %H:%M')"  --path-list "$PRIMER/$i"
	#TODO: -volset ID -volset-seqno?
	then
		echo "Insereix un nou CD"
		read
		cdrecord dev=$DEV -v speed=$VELOCITAT -dao -eject -pad "$TMP/$i.iso"
		read
		rm -v $TMP/$i.iso 
		read
	else
		cd "$PRIMER"
		echo "Sembla que hi ha hagut un error amb mkisofs"
		exit 1
	fi	
done
exit 0


